import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");
  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();
    
    
    Student emp = new Student();
    emp.setId(1);
    emp.setName("name");
    em.persist(emp);

    if (em.find(Student.class, emp.getId()) == null) {
      throw new IllegalArgumentException("Unknown employee id: " + emp.getId());
    }
    Student managedEmp = em.merge(emp);
    managedEmp.setName("new Name");


    Query query = em.createQuery("SELECT e FROM Student e");
    List<Student> list = (List<Student>) query.getResultList();
    System.out.println(list);
    
    
    em.getTransaction().commit();
    em.close();
    emf.close();
    
    Helper.checkData();
  }
}
